//for clicking button
// eslint-disable-next-line no-unused-vars
function clickNowAlgo1(enableScrolling, delayBeginRange, delayEndRange) {
    var unable_to_find = "Unable to find un-like buttons for clicking.";
    var clicked = "Un-like button is clicked.";

    //
    //
    //  For clicking using algorithm 1 start
    //
    //
    // final function for clicking
    function startClickAlgo1Final() {
        var clicked = false;
        var buttons = document.getElementsByTagName("div");
        for (var counter = 0; counter < buttons.length; counter++) {
            var target = buttons[counter];
            var aria_label = target.getAttribute('data-testid');
            console.log('aria label is', aria_label);
            if (aria_label && aria_label != '') {
                if (aria_label.match(/unlike/g)) {
                    // eslint-disable-next-line no-undef
                    if (isVisible(target)) {
                        target.click();
                        // target.parentElement.scrollIntoView();
                        clicked = true;
                        // target.remove();
                        if (enableScrolling) {
                            target.scrollIntoView();
                        }
                        break;
                    }
                }
            }
        }
        if (clicked) {
            return true;
        } else {
            return false;
        }
    }

    function startClickAlgo1() {
        // eslint-disable-next-line no-undef
        disableSubmit();
        if (startClickAlgo1Final()) {
            toastr.success(clicked);
            // some button found and it is clicked
            setTimeout(function () {
                startClickAlgo1();
                // eslint-disable-next-line no-undef
            }, getDelayInMSUsingInterval(delayBeginRange, delayEndRange));
        } else {
            // no button found it is not clicked
            toastr.error(unable_to_find);
            alert(unable_to_find);
            // eslint-disable-next-line no-undef
            enableSubmit();
        }
    }

    startClickAlgo1();
}